Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils.impl
Class JaxbContextFactory

    java.lang.Object
      be.ehealth.technicalconnector.utils.impl.JaxbContextFactory

    public final class JaxbContextFactory

extends Object

JaxbContextFactory.

Field Summary
`static String` | `PROP_CACHE_TYPE` Deprecated. not longer used

Method Summary
`static JAXBContext` | `getJaxbContextForClass(Class<?>... classesToBeBound)`
`static JAXBContext` | `getJaxbContextForPackage(Package pack)`
`static void` | `initJaxbContext(Class<?>... classesToBeBound)`
`static void` | `initJaxbContext(Package packageInstance)`
`static void` | `reset()` Method to clear the cached instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_CACHE_TYPE

    @Deprecated
    public static final String PROP_CACHE_TYPE

  Deprecated. not longer used
  Property to change the type of cache that can be used by the `JaxbContextFactory`.

  Possible values are package and classname. The Default value is classname.

  See Also:
    Constant Field Values

Method Detail

### initJaxbContext

    public static void initJaxbContext(Package packageInstance)

### initJaxbContext

    public static void initJaxbContext(Class<?>... classesToBeBound)

### getJaxbContextForPackage

    public static JAXBContext getJaxbContextForPackage(Package pack)

### getJaxbContextForClass

    public static JAXBContext getJaxbContextForClass(Class<?>... classesToBeBound)
                                              throws JAXBException

  Throws:
    `JAXBException`

### reset

    public static void reset()

  Method to clear the cached instances.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.